Bug 16929 - Table rows of a table in a page body with two columns are ommitted on last page.
Summary: Table rows of a table in a page body with two columns are ommitted on last page.
Status: CLOSED FIXED
Alias: None
Product: Fop - Now in Jira
Classification: Unclassified
Component: pdf (show other bugs)
Version: 0.20.5
Hardware: All other
: P1 critical
Target Milestone: ---
Assignee: fop-dev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-02-10 15:39 UTC by Ingo Weichsel
Modified: 2012-04-01 06:50 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ingo Weichsel 2003-02-10 15:39:58 UTC
The page layout defines a two column page body.
All rows on the last page of a (single column) table with rows filling more 
then one page are ommitted if a block with span="all" follows.

This occured running FOP 0.20.4 on Linux and FOP 0.20.5rc on Windows 2000.

Example fo file:
If the line "<fo:block line-height="20mm" span="all"/>" is ommitted everything 
works fine.


<?xml version="1.0" encoding="ISO-8859-1"?>
<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<fo:layout-master-set>
		<fo:simple-page-master master-name="default"
					margin-left="10mm" margin-right="10mm" 
margin-top="10mm" margin-bottom="10mm"
					page-height="297mm" page-width="210mm">
			<fo:region-body 
					margin-top="130mm"
					margin-bottom="40mm"
					column-count="2" column-gap="0mm"/>
				<fo:region-before extent="130mm"/>
				<fo:region-after extent="40mm"/>
		</fo:simple-page-master>
	</fo:layout-master-set>
	<fo:page-sequence master-reference="default"
			initial-page-number="1"	
		hyphenate="true" language="de"
	>
		<fo:flow flow-name="xsl-region-body">
			<fo:table width="95mm" 
				table-layout="fixed" border-color="#DDDDDD" 
border-width="thin" 
				border-style="solid" border-collapse="separate">
				<fo:table-column column-width="95mm" column-
number="1"/>
				<fo:table-body border-width="0pt">
					<fo:table-row>
						<fo:table-cell>
							<fo:table width="95mm" 
table-layout="fixed">
								<fo:table-
column column-width="24mm" column-number="1"/>
								
							
								<fo:table-
header border-color="#DDDDDD" border-width="thin" border-style="solid" border-
collapse="separate" background-color="#DDDDDD">
								
	<fo:table-row>
									
	<fo:table-cell padding-left="1mm" number-columns-spanned="4">	
										
	<fo:block font-family="Helvetica" padding="1pt" font-style="italic" 
font-size="8pt">	
										
		TEST
										
	</fo:block>
									
	</fo:table-cell>
								
	</fo:table-row>
								
	<fo:table-row>
									
	<fo:table-cell padding-left="1mm">	
										
	<fo:block font-family="Helvetica" padding="1pt" font-size="8pt">	
										
		Num
										
	</fo:block>
									
	</fo:table-cell>
								
	</fo:table-row>
								</fo:table-
header>                       
								<fo:table-body 
border-width="0pt">

								
								
	<fo:table-row>
									
	<fo:table-cell padding-left="1mm">	
										
	<fo:block font-family="Helvetica" padding="1pt" font-weight="bold" 
										
		font-size="8pt" line-height="30mm">	
										
		1
										
	</fo:block>
									
	</fo:table-cell>
								
	</fo:table-row>
								
								
	<fo:table-row>
									
	<fo:table-cell padding-left="1mm">	
										
	<fo:block font-family="Helvetica" padding="1pt" font-weight="bold" 
										
		font-size="8pt" line-height="30mm">	
										
		2
										
	</fo:block>
									
	</fo:table-cell>
								
	</fo:table-row>
								
								
	<fo:table-row>
									
	<fo:table-cell padding-left="1mm">	
										
	<fo:block font-family="Helvetica" padding="1pt" font-weight="bold" 
										
		font-size="8pt" line-height="30mm">	
										
		3
										
	</fo:block>
									
	</fo:table-cell>
								
	</fo:table-row>
								
								
	<fo:table-row>
									
	<fo:table-cell padding-left="1mm">	
										
	<fo:block font-family="Helvetica" padding="1pt" font-weight="bold" 
										
		font-size="8pt" line-height="30mm">	
										
		4
										
	</fo:block>
									
	</fo:table-cell>
								
	</fo:table-row>
								
								
	<fo:table-row>
									
	<fo:table-cell padding-left="1mm">	
										
	<fo:block font-family="Helvetica" padding="1pt" font-weight="bold" 
										
		font-size="8pt" line-height="30mm">	
										
		5
										
	</fo:block>
									
	</fo:table-cell>
								
	</fo:table-row>
								
								
	<fo:table-row>
									
	<fo:table-cell padding-left="1mm">	
										
	<fo:block font-family="Helvetica" padding="1pt" font-weight="bold" 
										
		font-size="8pt" line-height="30mm">	
										
		6
										
	</fo:block>
									
	</fo:table-cell>
								
	</fo:table-row>
								
								
	<fo:table-row>
									
	<fo:table-cell padding-left="1mm">	
										
	<fo:block font-family="Helvetica" padding="1pt" font-weight="bold" 
										
		font-size="8pt" line-height="30mm">	
										
		7
										
	</fo:block>
									
	</fo:table-cell>
								
	</fo:table-row>
								

								
	<fo:table-row>
									
	<fo:table-cell padding-left="1mm">	
										
	<fo:block font-family="Helvetica" padding="1pt" font-weight="bold" font-
size="8pt">	
										
		LAST ROW IS NOT SHOWN!
										
	</fo:block>
									
	</fo:table-cell>
								
	</fo:table-row>
						
								</fo:table-body>
							</fo:table>
			
						</fo:table-cell>		
	
					</fo:table-row>
				</fo:table-body>
			</fo:table>

			<fo:block line-height="20mm" span="all"/>
		</fo:flow>
	</fo:page-sequence>
</fo:root>
Comment 1 Dmitri Fedorchenko 2005-06-16 12:18:11 UTC
The problem exists. If the page layout defines a two column page body and you 
want to put some text with (span="all") attribute, then the following occurs:

 - some rows are omitted in the right column of the last page before new block 
with span="all", if there are more than one page of course.
 - some rows are duplicated in the same situation


Comment 2 Pascal Sancho 2007-10-23 07:58:22 UTC
Bug fixed in latest Trunk (rev 584703), and probably in FOP 0.94 and earlier
0.9x versions
Comment 3 Glenn Adams 2012-04-01 06:50:03 UTC
batch transition pre-FOP1.0 resolved+fixed bugs to closed+fixed